Skip to main content

Querying for subscriptions

GET 

/api/v3/package

Filtering

Available filter for the ?where= query parameter:

  • package_id
  • customer_id
  • token
  • brand_id
  • custom_N - Example: custom_1, custom_2, etc.
  • paymethod
  • paycycle
  • nickname
  • bill_state
  • ship_state
  • package_status_str
  • package_status_state
  • external_key
  • write_datetime - Date/time created
  • mod_datetime - Date/time last modified
  • cancel_datetime
  • quote.quote_id - Get the subscription that originated from a specific quote
  • line_items.external_key
  • line_items.custom_1
  • line_items.item_id - Get subscriptions that contain a specific product/discount
  • customer.superuser_email - Get subscriptions for a specific primary contact email address
  • customer.users.email - Get subscriptions with this email address

Expansions

Nodes you can expand by using the ?expand= query parameter:

  • line_items - To get the line items for each subscription

Enums

Valid values for package_status_state:

  • a (for active packages)
  • c (for cancelled packages)
  • e (for expired packages)
  • s (for suspended packages)

Valid values for package_status_str:

  • active-trial
  • active-current
  • active-overdue
  • canceled-nonpayment
  • canceled-manual
  • expired-expired
  • expired-trial
  • suspended-suspended

Request

Responses

Object was fetched successfully